/*
-------------------------------------------------------------------------------
Module Header
Filename          : packet.h
Author            : Henk Uiterwaal
Date              : 12-NOV-1998
Description       : description of TestTraffic "packet" structure
Language Version  : C
OSs Tested        : Solaris 2.6, BSDI 3.1

The "packet" structure is used by the software that processes 
the collected raw data; at a later step these results are 
stored into ROOT TTree files to ease further analysis

$Id: $
-------------------------------------------------------------------------------
*/

#ifndef ROOT_packet
#define ROOT_packet

struct packet {
   unsigned int packet_id;        /* Identifier of the packet */
   int          source_id;        /* ID# of the sending testbox */
   int          source_port;      /* Port from which the packet was sent */
   int          target_id;        /* ID# of the receiving testbox */
   int          target_port;      /* Port to which the packet was sent */
   int          packet_size;      /* Packet size in bytes */
   double       arrival_time;     /* -1.0 if undefined */
   double       delay;            /* Delay in ms, -1.0 if undefined */
   unsigned int source_clock;     /* Sending and receiving clock status */
   unsigned int target_clock;
   int          nhops;            /* Number of hops, -1 if unknown */
   int          routeid;          /* Routing vector number, -1 if unknown */
   float        source_ntp;       /* NTP error estimates */
   float        target_ntp;
};

#endif
